#
# spec file for package perl-Test-ClassAPI
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Test-ClassAPI
%define cpan_name Test-ClassAPI
Summary:        Provides basic first-pass API testing for large class trees
Version:        1.06
Release:        21.5
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-ClassAPI/
#Source:         http://www.cpan.org/authors/id/A/AD/ADAMK/Test-ClassAPI-1.06.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Class::Inspector) >= 1.12
BuildRequires:  perl(Config::Tiny) >= 2.00
BuildRequires:  perl(File::Spec) >= 0.83
BuildRequires:  perl(Params::Util) >= 1.00
#
Requires:       perl(Class::Inspector) >= 1.12
Requires:       perl(Config::Tiny) >= 2.00
Requires:       perl(File::Spec) >= 0.83
Requires:       perl(Params::Util) >= 1.00

%description
For many APIs with large numbers of classes, it can be very useful to be
able to do a quick once-over to make sure that classes, methods, and
inheritance is correct, before doing more comprehensive testing. This
module aims to provide such a capability.

Authors:
--------
     Adam Kennedy <adamk@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
### since 11.4 perl_process_packlist
### removes .packlist, perllocal.pod files
%if 0%{?suse_version} > 1130
%perl_process_packlist
%else
# do not perl_process_packlist
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -f $RPM_BUILD_ROOT%perl_archlib/perllocal.pod
%endif
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 22 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- changelog to changes file
* Wed Oct 21 2009 rschweikert@novell.com
- Add changes file
- Add Test directory to files
- Cleanup changelog to only initial creation
* Wed Oct 14 2009 rschweikert@novell.com
- Initial build 1.06
